#include <stdio.h>

// Return 1 if the number is prime 0 otherwise
int isPrime(int num);
// Return 1 if the number is multi-prime 0 otherwise
int isMultiPrime(int num);

int main()
{
	int num;

	printf("Enter a number: ");
	scanf("%d", &num);
	if (isMultiPrime(num) == 1)
		printf("The number %d is multi-prime!\n", num);
	else
		printf("The number %d is not multi-prime!\n", num);

	return 0;
}

// Return 1 if the number is prime 0 otherwise (naive implementation)
int isPrime(int num)
{
	int i, limit;

	limit = num; // sqrt(num)+1; /* using math.h */

	if (num <= 1)
		return 0;

	for (i = 2; i < limit; ++i) {
		if (num % i == 0)
			return 0;
	}

	return 1;
}

// Return 1 if the number is multi-prime 0 otherwise
int isMultiPrime(int num)
{
	int num1, num2, bPrime, div = 10;

	bPrime = isPrime(num);
	if (num < 10)
		return (bPrime == 1);

	if (bPrime == 0)
		return 0;

	do {
		num1 = num / div;		// Split the number
		num2 = num % div;		// into two numbers
		// Check the two numbers are multiprimes.
		if (isMultiPrime(num1) && isMultiPrime(num2))
			return 1;
		div *= 10;
	} while (num / div > 0);

	return 0;
}